package jagtheora.vorbis;

import jagtheora.misc.SimplePeer;
import jagtheora.ogg.OggPacket;
import jagtheora.vorbis.VorbisComment;

public class VorbisInfo extends SimplePeer {

   public int channels;
   public int rate;


   public VorbisInfo() {
      this.init();
      if(this.method6700()) {
         throw new IllegalStateException();
      }
   }

   private static native void initFields();

   private native void init();

   public native int headerIn(VorbisComment var1, OggPacket var2);

   protected native void clear();

   static {
      initFields();
   }
}
